LibreOffice: XSheetPageBreak Interface Reference

LibreOffice LibreOffice 7.5 SDK API Reference

Loading...
Searching...
No Matches
Public Member Functions | List of all members
XSheetPageBreak Interface Referencepublished

provides access to page breaks in a sheet. More...

Inheritance diagram for XSheetPageBreak:

## Public Member Functions
sequence< com::sun::star::sheet::TablePageBreakData > | getColumnPageBreaks ()
| returns a sequence of descriptions of all horizontal page breaks on the sheet.
sequence< com::sun::star::sheet::TablePageBreakData > | getRowPageBreaks ()
| returns a sequence of descriptions of all vertical page breaks on the sheet.
void | removeAllManualPageBreaks ()
| removes all manual page breaks on the sheet.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

provides access to page breaks in a sheet.

Deprecated:

Developers Guide
  Spreadsheet Documents - Spreadsheet - Page Breaks

## Member Function Documentation

## ◆ getColumnPageBreaks()

sequence< com::sun::star::sheet::TablePageBreakData > getColumnPageBreaks | ( |  | ) |

returns a sequence of descriptions of all horizontal page breaks on the sheet.

This includes manual and automatic page breaks. To add or remove manual breaks, use the com::sun::star::table::TableColumn::IsStartOfNewPage property of the column.

Returns
  a sequence of structs containing column page break data.

## ◆ getRowPageBreaks()

sequence< com::sun::star::sheet::TablePageBreakData > getRowPageBreaks | ( |  | ) |

returns a sequence of descriptions of all vertical page breaks on the sheet.

This includes manual and automatic page breaks. To add or remove manual breaks, use the com::sun::star::table::TableRow::IsStartOfNewPage property of the row.

Returns
  a sequence of structs containing row page break data.

## ◆ removeAllManualPageBreaks()

void removeAllManualPageBreaks | ( |  | ) |

removes all manual page breaks on the sheet.

The documentation for this interface was generated from the following file:

- com/sun/star/sheet/XSheetPageBreak.idl